configure: expand library search for libftd2xx 14/1614/2
authorStephan Linz <linz@li-pro.net>
Fri, 6 Sep 2013 13:03:54 +0000 (15:03 +0200)
committerAndreas Fritiofson <andreas.fritiofson@gmail.com>
Mon, 16 Sep 2013 20:04:17 +0000 (20:04 +0000)
Error was:
checking for library containing FT_GetLibraryVersion... no
configure: error: You appear to be missing the FTD2xx driver library.

Reason were two cases:

Case one:
The FTD2xx library uses clock_gettime() and in normal cases
the linker will find the function in the libc library. Most
(older) systems require the program be linked with the librt
library to use these (see man clock_gettime: Link with -lrt).

Case two:
You can rebuild the FTD2xx library (relink from the object
files) against the primary (system wide installed) libusb-1.0.
So you avoid mixed code (GPL with proprietary code) in the
FTD2xx library. In this case, the FTD2xx library provides no
private (linked in) libusb-1.0 functionality and require the
program be linked with the libftd2xx __AND__ the libusb-1.0
to resolve all the libusb-1.0 symbols.

Change-Id: Iaf9a35ab4257e37b98dccd47667378ad2a64b7ed
Signed-off-by: Stephan Linz <linz@li-pro.net>
Reviewed-on: http://openocd.zylin.com/1614
Tested-by: jenkins
Reviewed-by: Andreas Fritiofson <andreas.fritiofson@gmail.com>
Reviewed-by: Xiaofan <xiaofanc@gmail.com>
configure.ac

index 9d5c0a1..038212c 100644 (file)
@@ -908,7 +908,7 @@ if test $build_ft2232_ftd2xx = yes -o $build_presto_ftd2xx = yes -o $build_usb_b
       ])
     AC_SEARCH_LIBS([FT_GetLibraryVersion],[ftd2xx],,[
         AC_MSG_ERROR([You appear to be missing the FTD2xx driver library.])
-      ],[])
+      ],[-lrt -lusb-1.0])
   fi
 fi
 fi # linux